Skip to content
Last updated

GetTicketNotes

Obtain a specific ticket notes

Request Parameters

ParameterTypeDescriptionRequired
actionstring"GetTicketNotes"Required
ticketidintObtain the ticket for the specific ticket idRequired

Response Parameters

ParameterTypeDescription
resultstringThe result of the operation: success or error
totalresultsintThe total number of results being returned
notesarrayAn array of notes information

Example Request (CURL)

$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, 'https://www.example.com/includes/api.php');
curl_setopt($ch, CURLOPT_POST, 1);
curl_setopt($ch, CURLOPT_POSTFIELDS,
    http_build_query(
        array(
            'action' => 'GetTicketNotes',
            // See https://developers.whmcs.com/api/authentication
            'username' => 'IDENTIFIER_OR_ADMIN_USERNAME',
            'password' => 'SECRET_OR_HASHED_PASSWORD',
            'ticketid' => '1',
            'responsetype' => 'json',
        )
    )
);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
$response = curl_exec($ch);
curl_close($ch);

Example Request (Local API)

$command = 'GetTicketNotes';
$postData = array(
    'ticketid' => '1',
);
$adminUsername = 'ADMIN_USERNAME'; // Optional for WHMCS 7.2 and later

$results = localAPI($command, $postData, $adminUsername);
print_r($results);

Example Response JSON

{
    "result": "success",
    "totalresults": 1,
    "notes": {
        "note": [
            {
                "id": "1",
                "admin": "admin admin",
                "date": "2016-01-01 06:26:42",
                "message": "This is a ticket note",
                "attachment": "123456_attachment_name.png|987654_second_attachment.pdf",
                "attachments_removed": true
            }
        ]
    }
}

Version History

VersionChangelog
1.0Initial Version